Skip to main content
GET
/
authorized_users
/
{id}
JavaScript
import Whop from '@whop/sdk';

const client = new Whop({
  apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});

const authorizedUser = await client.authorizedUsers.retrieve('ausr_xxxxxxxxxxxxx');

console.log(authorizedUser.id);
{
  "id": "ausr_xxxxxxxxxxxxx",
  "role": "owner",
  "user": {
    "id": "user_xxxxxxxxxxxxx",
    "name": "John Doe",
    "username": "johndoe42",
    "email": "john.doe@example.com"
  },
  "company": {
    "id": "biz_xxxxxxxxxxxxxx",
    "title": "Pickaxe"
  }
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Path Parameters

id
string
required

The unique identifier of the authorized user to retrieve.

Example:

"ausr_xxxxxxxxxxxxx"

Response

A successful response

A user who has been granted administrative access to manage a company's dashboard and settings.

id
string
required

The unique identifier for the authorized user.

Example:

"ausr_xxxxxxxxxxxxx"

role
enum<string>
required

The permission role assigned to this authorized user within the company.

Available options:
owner,
admin,
sales_manager,
moderator,
app_manager,
support,
manager
user
object
required

The user account linked to this authorized user record.

company
object
required

The company this authorized user has access to.